Skip to main content

GetTotemApprovalRequest

Retrieves details of a specific approval request by its ID.

Endpoint: GET /nxt?requestType=GetTotemApprovalRequest

Parameters:

  • approvalRequest (long, required): The approval request ID

Request Example: /nxt?requestType=GetTotemApprovalRequest&approvalRequest=111111111

Response:

{
"id": "111111111",
"totem": "123456789",
"chain": 1,
"height": 123456,
"approver": "999999999",
"status": "APPROVED",
"expirationHeight": 234567
}

Response Fields:

  • id: string - Approval request ID (unsigned string)
  • totem: string - Totem ID (unsigned string)
  • chain: number - Chain ID
  • height: number - Block height when request was created
  • approver: string - Account ID of the approver (unsigned string)
  • status: string - Current status (APPROVED, PENDING, REJECTED, EXPIRED)
  • expirationHeight: number - Block height at which this request expires

Source: GetTotemApprovalRequest.java